org.keycloak.models.map.role

## Class MapRoleProviderFactory<K>

- java.lang.Object
- - org.keycloak.models.map.common.AbstractMapProviderFactory<RoleProvider,K,MapRoleEntity<K>,RoleModel>
  - - org.keycloak.models.map.role.MapRoleProviderFactory<K>

- All Implemented Interfaces:
    AmphibianProviderFactory<RoleProvider>, ComponentFactory<RoleProvider,RoleProvider>, RoleProviderFactory, ConfiguredProvider, EnvironmentDependentProviderFactory, ProviderFactory<RoleProvider>

      public class MapRoleProviderFactory<K>
      extends AbstractMapProviderFactory<RoleProvider,K,MapRoleEntity<K>,RoleModel>
      implements RoleProviderFactory

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.map.common.AbstractMapProviderFactory

      `CONFIG_STORAGE, entityType, LOG, modelType, PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapRoleProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RoleProvider` | `create(KeycloakSession session)`
    `String` | `getHelpText()`

    - ### Methods inherited from class org.keycloak.models.map.common.AbstractMapProviderFactory

      `getId, getStorage, init, isSupported, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `close, getId, init, order, postInit`

    - ### Methods inherited from interface org.keycloak.component.AmphibianProviderFactory

      `close, create, getConfigProperties, onUpdate, preRemove`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `getCommonProviderConfigProperties, getTypeMetadata, onCreate, validateConfiguration`

- - ### Constructor Detail

    - #### MapRoleProviderFactory

          public MapRoleProviderFactory()

  - ### Method Detail

    - #### create

          public RoleProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `AmphibianProviderFactory<RoleProvider>`
      Specified by:
        `create` in interface `ComponentFactory<RoleProvider,RoleProvider>`
      Specified by:
        `create` in interface `ProviderFactory<RoleProvider>`

    - #### getHelpText

          public String getHelpText()

      Specified by:
        `getHelpText` in interface `ConfiguredProvider`

Copyright © 2021 JBoss by Red Hat. All rights reserved.